Subject: bug#51321: 29.0.50; date in modelines

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Oct 2021 15:23:52 +0300

> From: Daniel Martín <[email-masked]>
> Cc: Niels Søndergaard <[email-masked]>,
>   [email-masked]
> Date: Sat, 23 Oct 2021 14:16:28 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >
> > I don't know what this means in terms of LC_* locale settings that
> > Emacs sees.  can some macOS expert please chime in and help me
> > understand where is the problem here?
> 
> It depends on how you start Emacs.  The common case on macOS is that
> people start Emacs from the GUI, and in that case the OS doesn't
> configure the locale environment variables.  What the NS port does is it
> uses the OS API to get the locale and applies the environment variables
> manually (see ns_init_locale in nsterm.m).

Thanks, I think that explains the issue.

> I see that ns_init_locale only sets LANG, which seems insufficient for
> this use case.  Perhaps we need to extend ns_init_locale to set other
> LC_ variables as well (LC_TIME is the key here).

Why not LC_ALL?